Bug 8199 - Search results are contained into a table html element
Summary: Search results are contained into a table html element
Status: CLOSED WONTFIX
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-06 14:29 UTC by Jonathan Druart
Modified: 2014-12-07 20:03 UTC (History)
0 users

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 8199 : Replace table in opac-results with div (42.15 KB, patch)
2012-06-06 14:32 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 8199 : Replace table in opac-results with div (42.22 KB, patch)
2012-06-12 12:31 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2012-06-06 14:29:26 UTC
It would be better to change the structure of opac-results.tt and catalogue/results.tt by replacing "table" elements with a more ergonomic structure (like div, span, etc.)
Comment 1 Jonathan Druart 2012-06-06 14:32:26 UTC Comment hidden (obsolete)
Comment 2 Jonathan Druart 2012-06-06 14:35:23 UTC
This patch is a first draft.
I would like to have feed back about this patch before to continue (and to adapt to catalogue/results.tt)
Comment 3 Owen Leonard 2012-06-11 16:59:59 UTC
I don't think there's anything inherently more ergonomic about showing search results in divs instead of tables, so I'd be interested in seeing a test case that shows how this makes things more flexible. Is the goal to be able to rearrange the elements somehow?
Comment 4 Jonathan Druart 2012-06-12 12:31:08 UTC
Created attachment 10247 [details] [review]
Bug 8199 : Replace table in opac-results with div
Comment 5 Jonathan Druart 2012-06-12 12:36:04 UTC
Hi Owen,
For example: currently (with the table structure) it is not possible to move the image from right to left.

With this patch, we can filled the OPACUserCSS syspref with:

.result > input {
   float: none;
}
.result > span {
    float: none;
    margin-left: 5px;
}
.all_results > div > span.biblio_infos {
    display: block;
    max-width: 80%;
    padding-left: 120px;
    margin-top: -15px;
}
.result > span.image {
    margin-left: 30px;
    margin-top: -70px;
    position: absolute;
}
Comment 6 Jared Camins-Esakov 2012-08-27 17:40:40 UTC
I noticed two problems with this:
1. The numbers on the left are run into the main results block.
2. Some of the images (possibly local cover images?) wrap to the next line.
Comment 7 Jonathan Druart 2013-10-25 10:12:18 UTC
I don't plan to work on it.
Reopen if someone is interested.